Loading...
Searching...
No Matches
pcl::RobotEyeGrabber Class Reference
Module io

Grabber for the Ocular Robotics RobotEye sensor. More...

`#include <pcl/io/robot_eye_grabber.h>`

Inheritance diagram for pcl::RobotEyeGrabber:

## Public Types

using | sig_cb_robot_eye_point_cloud_xyzi = void(const pcl::PointCloud< pcl::PointXYZI >::ConstPtr &)
| Signal used for the point cloud callback.

## Public Member Functions

| RobotEyeGrabber ()
| RobotEyeGrabber default constructor.
| RobotEyeGrabber (const boost::asio::ip::address &ipAddress, unsigned short port=443)
| RobotEyeGrabber constructor taking a specified IP address and data port.
| ~RobotEyeGrabber () noexcept override
| virtual Destructor inherited from the Grabber interface.
void | start () override
| Starts the RobotEye grabber.
void | stop () override
| Stops the RobotEye grabber.
std::string | getName () const override
| Obtains the name of this I/O Grabber.
bool | isRunning () const override
| Check if the grabber is still running.
float | getFramesPerSecond () const override
| Returns the number of frames per second.
void | setSensorAddress (const boost::asio::ip::address &ipAddress)
| Set/get ip address of the sensor that sends the data.
const boost::asio::ip::address & | getSensorAddress () const
void | setDataPort (unsigned short port)
| Set/get the port number which receives data from the sensor.
unsigned short | getDataPort () const
void | setSignalPointCloudSize (std::size_t numerOfPoints)
| Set/get the number of points to accumulate before the grabber callback is signaled.
std::size_t | getSignalPointCloudSize () const
pcl::PointCloud< pcl::PointXYZI >::Ptr | getPointCloud () const
| Returns the point cloud with point accumulated by the grabber.
Public Member Functions inherited from pcl::Grabber
| Grabber ()=default
| Default ctor.
| Grabber (const Grabber &)=delete
| No copy ctor since Grabber can't be copied.
Grabber & | operator= (const Grabber &)=delete
| No copy assign operator since Grabber can't be copied.
| Grabber (Grabber &&)=default
| Move ctor.
Grabber & | operator= (Grabber &&)=default
| Move assign operator.
virtual | ~Grabber () noexcept=default
| virtual destructor.
template<typename T >
boost::signals2::connection | registerCallback (const std::function< T > &callback)
| registers a callback function/method to a signal with the corresponding signature
template<typename T >
bool | providesCallback () const noexcept
| indicates whether a signal with given parameter-type exists or not
bool | toggle ()
| For devices that are streaming, stopped streams are started and running stream are stopped.

## Additional Inherited Members

Protected Member Functions inherited from pcl::Grabber
virtual void | signalsChanged ()
template<typename T >
boost::signals2::signal< T > * | find_signal () const noexcept
template<typename T >
int | num_slots () const noexcept
template<typename T >
void | disconnect_all_slots ()
template<typename T >
void | block_signal ()
template<typename T >
void | unblock_signal ()
void | block_signals ()
void | unblock_signals ()
template<typename T >
boost::signals2::signal< T > * | createSignal ()
Protected Attributes inherited from pcl::Grabber
std::map< std::string, std::unique_ptr< boost::signals2::signal_base > > | signals_
std::map< std::string, std::vector< boost::signals2::connection > > | connections_
std::map< std::string, std::vector< boost::signals2::shared_connection_block > > | shared_connections_

## Detailed Description

Grabber for the Ocular Robotics RobotEye sensor.

Definition at line 59 of file robot_eye_grabber.h.

## Member Typedef Documentation

## sig_cb_robot_eye_point_cloud_xyzi

using pcl::RobotEyeGrabber::sig_cb_robot_eye_point_cloud_xyzi = void (const pcl::PointCloud<pcl::PointXYZI>::ConstPtr &)

Signal used for the point cloud callback.

This signal is sent when the accumulated number of points reaches the limit specified by setSignalPointCloudSize().

Definition at line 67 of file robot_eye_grabber.h.

## Constructor & Destructor Documentation

## RobotEyeGrabber() [1/2]

pcl::RobotEyeGrabber::RobotEyeGrabber | ( |  | ) |

RobotEyeGrabber default constructor.

## RobotEyeGrabber() [2/2]

pcl::RobotEyeGrabber::RobotEyeGrabber | ( | const boost::asio::ip::address & | ipAddress,
|  | unsigned short | port = `443`
| ) |  |

RobotEyeGrabber constructor taking a specified IP address and data port.

## ~RobotEyeGrabber()

pcl::RobotEyeGrabber::~RobotEyeGrabber | ( |  | ) |

override noexcept

virtual Destructor inherited from the Grabber interface.

It never throws.

## Member Function Documentation

## getDataPort()

unsigned short pcl::RobotEyeGrabber::getDataPort | ( |  | ) | const

## getFramesPerSecond()

float pcl::RobotEyeGrabber::getFramesPerSecond | ( |  | ) | const

override virtual

Returns the number of frames per second.

Implements pcl::Grabber.

## getName()

std::string pcl::RobotEyeGrabber::getName | ( |  | ) | const

override virtual

Obtains the name of this I/O Grabber.

Returns
  The name of the grabber

Implements pcl::Grabber.

## getPointCloud()

pcl::PointCloud< pcl::PointXYZI >::Ptr pcl::RobotEyeGrabber::getPointCloud | ( |  | ) | const

Returns the point cloud with point accumulated by the grabber.

It is not safe to access this point cloud except if the grabber is stopped or during the grabber callback.

## getSensorAddress()

const boost::asio::ip::address & pcl::RobotEyeGrabber::getSensorAddress | ( |  | ) | const

## getSignalPointCloudSize()

std::size_t pcl::RobotEyeGrabber::getSignalPointCloudSize | ( |  | ) | const

## isRunning()

bool pcl::RobotEyeGrabber::isRunning | ( |  | ) | const

override virtual

Check if the grabber is still running.

Returns
  TRUE if the grabber is running, FALSE otherwise

Implements pcl::Grabber.

## setDataPort()

void pcl::RobotEyeGrabber::setDataPort | ( | unsigned short | port | ) |

Set/get the port number which receives data from the sensor.

The default is 443.

## setSensorAddress()

void pcl::RobotEyeGrabber::setSensorAddress | ( | const boost::asio::ip::address & | ipAddress | ) |

Set/get ip address of the sensor that sends the data.

The default is address_v4::any ().

## setSignalPointCloudSize()

void pcl::RobotEyeGrabber::setSignalPointCloudSize | ( | std::size_t | numerOfPoints | ) |

Set/get the number of points to accumulate before the grabber callback is signaled.

The default is 1000.

## start()

void pcl::RobotEyeGrabber::start | ( |  | ) |

override virtual

Starts the RobotEye grabber.

The grabber runs on a separate thread, this call will return without blocking.

Implements pcl::Grabber.

## stop()

void pcl::RobotEyeGrabber::stop | ( |  | ) |

override virtual

Stops the RobotEye grabber.

Implements pcl::Grabber.

The documentation for this class was generated from the following file:

- pcl/io/robot_eye_grabber.h